/// <reference types="react" />
import { ComponentClass, StatelessComponent } from "react";
import * as styledComponents from "styled-components";
import Theme from "./Theme";
declare const styled: styledComponents.ThemedBaseStyledInterface<Theme>, css: styledComponents.ThemedCssFunction<Theme>, injectGlobal: (strings: TemplateStringsArray, ...interpolations: styledComponents.SimpleInterpolation[]) => void, keyframes: (strings: TemplateStringsArray, ...interpolations: styledComponents.SimpleInterpolation[]) => string, withTheme: <P extends {
    theme?: Theme | undefined;
}>(component: ComponentClass<P> | StatelessComponent<P>) => ComponentClass<Pick<P, ({ [P in keyof P]: P; } & {
    theme: never;
} & {
    [x: string]: never;
})[keyof P]> & {
    theme?: Theme | undefined;
}>, ThemeProvider: ComponentClass<styledComponents.ThemeProviderProps<Theme>>;
export default styled;
export { css, injectGlobal, keyframes, withTheme, ThemeProvider };
